From 9a957873382fc82cbe74bb7205c1549ac52ccd02 Mon Sep 17 00:00:00 2001
From: Guillaume Lelarge <guillaume@lelarge.info>
Date: Fri, 29 Oct 2010 21:24:59 -0700
Subject: [PATCH] Change the label of the OK button

Dump for backups, Restore for restores.
---
 pgadmin/ui/frmBackup.xrc        |    2 +-
 pgadmin/ui/frmBackupGlobals.xrc |  214 +++++++++++++++++++-------------------
 pgadmin/ui/frmBackupServer.xrc  |  214 +++++++++++++++++++-------------------
 pgadmin/ui/frmRestore.xrc       |    2 +-
 4 files changed, 216 insertions(+), 216 deletions(-)

diff --git a/pgadmin/ui/frmBackup.xrc b/pgadmin/ui/frmBackup.xrc
index c02fec8..51467d5 100644
--- a/pgadmin/ui/frmBackup.xrc
+++ b/pgadmin/ui/frmBackup.xrc
@@ -355,7 +355,7 @@
           </object>
           <object class="sizeritem">
             <object class="wxButton" name="wxID_OK">
-              <label>&amp;OK</label>
+              <label>&amp;Dump</label>
               <default>1</default>
             </object>
             <flag>wxEXPAND|wxALL</flag>
diff --git a/pgadmin/ui/frmBackupGlobals.xrc b/pgadmin/ui/frmBackupGlobals.xrc
index 99f7db7..56a2fd0 100644
--- a/pgadmin/ui/frmBackupGlobals.xrc
+++ b/pgadmin/ui/frmBackupGlobals.xrc
@@ -1,107 +1,107 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<resource>
-  <object class="wxDialog" name="frmBackupGlobals">
-    <title>Backup Globals</title>
-    <size>210,153d</size>
-    <style>wxDEFAULT_DIALOG_STYLE|wxCAPTION|wxSYSTEM_MENU|wxRESIZE_BORDER|wxRESIZE_BOX|wxTHICK_FRAME</style>
-    <object class="wxFlexGridSizer">
-      <cols>1</cols>
-      <rows>3</rows>
-      <object class="sizeritem">
-        <object class="wxNotebook" name="nbNotebook">
-          <object class="notebookpage">
-            <label>Options</label>
-            <object class="wxPanel" name="pnlOptions">
-              <object class="wxStaticText" name="stFilename">
-                <label>Filename</label>
-                <pos>8,7d</pos>
-              </object>
-              <object class="wxTextCtrl" name="txtFilename">
-                <pos>65,5d</pos>
-                <size>150,-1d</size>
-              </object>
-              <object class="wxButton" name="btnFilename">
-                <label>...</label>
-                <pos>220,5d</pos>
-                <size>15,-1d</size>
-              </object>
-              <object class="wxStaticText" name="stRolename">
-                <label>Rolename</label>
-                <pos>8,27d</pos>
-              </object>
-              <object class="wxComboBox" name="cbRolename">
-                <pos>65,25d</pos>
-                <size>170,-1d</size>
-                <style>wxCB_READONLY|wxCB_DROPDOWN|wxCB_SORT</style>
-              </object>
-              <style></style>
-              <object class="wxStaticText" name="txtNote">
-                <label>Note: Only objects global to the entire database cluster will be backed\nup. The backup format will be PLAIN.</label>
-                <pos>8,47d</pos>
-                <style></style>
-              </object>
-              <object class="wxCheckBox" name="chkForceQuoteForIdent">
-                <label>Force double quotes on identifiers</label>
-                <pos>10,120d</pos>
-              </object>
-              <object class="wxCheckBox" name="chkVerbose">
-                <label>Verbose messages</label>
-                <checked>1</checked>
-                <pos>10,144d</pos>
-              </object>
-            </object>
-            <selected>1</selected>
-          </object>
-          <pos>2,2d</pos>
-          <size>245,174d</size>
-          <style>wxNB_BOTTOM</style>
-          <object class="notebookpage">
-            <label>Messages</label>
-            <object class="wxTextCtrl" name="txtMessages">
-              <style>wxTE_MULTILINE|wxTE_READONLY|wxHSCROLL</style>
-            </object>
-          </object>
-        </object>
-        <flag>wxTOP|wxBOTTOM|wxLEFT|wxRIGHT|wxEXPAND|wxGROW|wxALIGN_CENTRE</flag>
-      </object>
-      <object class="sizeritem">
-        <object class="wxFlexGridSizer">
-          <cols>4</cols>
-          <rows>1</rows>
-          <object class="sizeritem">
-            <object class="wxButton" name="wxID_HELP">
-              <label>&amp;Help</label>
-              <pos>2,135d</pos>
-            </object>
-            <flag>wxTOP|wxBOTTOM|wxLEFT|wxRIGHT</flag>
-            <border>5</border>
-          </object>
-          <object class="spacer">
-            <size>0,0</size>
-          </object>
-          <object class="sizeritem">
-            <object class="wxButton" name="wxID_OK">
-              <label>&amp;OK</label>
-              <default>1</default>
-              <pos>93,135d</pos>
-            </object>
-            <flag>wxTOP|wxBOTTOM|wxLEFT|wxRIGHT</flag>
-            <border>5</border>
-          </object>
-          <object class="sizeritem">
-            <object class="wxButton" name="wxID_CANCEL">
-              <label>&amp;Cancel</label>
-              <pos>146,135d</pos>
-            </object>
-            <flag>wxTOP|wxBOTTOM|wxLEFT|wxRIGHT|wxEXPAND|wxGROW|wxALIGN_RIGHT</flag>
-            <border>5</border>
-          </object>
-          <growablecols>1</growablecols>
-        </object>
-        <flag>wxEXPAND|wxGROW</flag>
-      </object>
-      <growablecols>0</growablecols>
-      <growablerows>0</growablerows>
-    </object>
-  </object>
-</resource>
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<resource>
+  <object class="wxDialog" name="frmBackupGlobals">
+    <title>Backup Globals</title>
+    <size>210,153d</size>
+    <style>wxDEFAULT_DIALOG_STYLE|wxCAPTION|wxSYSTEM_MENU|wxRESIZE_BORDER|wxRESIZE_BOX|wxTHICK_FRAME</style>
+    <object class="wxFlexGridSizer">
+      <cols>1</cols>
+      <rows>3</rows>
+      <object class="sizeritem">
+        <object class="wxNotebook" name="nbNotebook">
+          <object class="notebookpage">
+            <label>Options</label>
+            <object class="wxPanel" name="pnlOptions">
+              <object class="wxStaticText" name="stFilename">
+                <label>Filename</label>
+                <pos>8,7d</pos>
+              </object>
+              <object class="wxTextCtrl" name="txtFilename">
+                <pos>65,5d</pos>
+                <size>150,-1d</size>
+              </object>
+              <object class="wxButton" name="btnFilename">
+                <label>...</label>
+                <pos>220,5d</pos>
+                <size>15,-1d</size>
+              </object>
+              <object class="wxStaticText" name="stRolename">
+                <label>Rolename</label>
+                <pos>8,27d</pos>
+              </object>
+              <object class="wxComboBox" name="cbRolename">
+                <pos>65,25d</pos>
+                <size>170,-1d</size>
+                <style>wxCB_READONLY|wxCB_DROPDOWN|wxCB_SORT</style>
+              </object>
+              <style></style>
+              <object class="wxStaticText" name="txtNote">
+                <label>Note: Only objects global to the entire database cluster will be backed\nup. The backup format will be PLAIN.</label>
+                <pos>8,47d</pos>
+                <style></style>
+              </object>
+              <object class="wxCheckBox" name="chkForceQuoteForIdent">
+                <label>Force double quotes on identifiers</label>
+                <pos>10,120d</pos>
+              </object>
+              <object class="wxCheckBox" name="chkVerbose">
+                <label>Verbose messages</label>
+                <checked>1</checked>
+                <pos>10,144d</pos>
+              </object>
+            </object>
+            <selected>1</selected>
+          </object>
+          <pos>2,2d</pos>
+          <size>245,174d</size>
+          <style>wxNB_BOTTOM</style>
+          <object class="notebookpage">
+            <label>Messages</label>
+            <object class="wxTextCtrl" name="txtMessages">
+              <style>wxTE_MULTILINE|wxTE_READONLY|wxHSCROLL</style>
+            </object>
+          </object>
+        </object>
+        <flag>wxTOP|wxBOTTOM|wxLEFT|wxRIGHT|wxEXPAND|wxGROW|wxALIGN_CENTRE</flag>
+      </object>
+      <object class="sizeritem">
+        <object class="wxFlexGridSizer">
+          <cols>4</cols>
+          <rows>1</rows>
+          <object class="sizeritem">
+            <object class="wxButton" name="wxID_HELP">
+              <label>&amp;Help</label>
+              <pos>2,135d</pos>
+            </object>
+            <flag>wxTOP|wxBOTTOM|wxLEFT|wxRIGHT</flag>
+            <border>5</border>
+          </object>
+          <object class="spacer">
+            <size>0,0</size>
+          </object>
+          <object class="sizeritem">
+            <object class="wxButton" name="wxID_OK">
+              <label>&amp;Dump</label>
+              <default>1</default>
+              <pos>93,135d</pos>
+            </object>
+            <flag>wxTOP|wxBOTTOM|wxLEFT|wxRIGHT</flag>
+            <border>5</border>
+          </object>
+          <object class="sizeritem">
+            <object class="wxButton" name="wxID_CANCEL">
+              <label>&amp;Cancel</label>
+              <pos>146,135d</pos>
+            </object>
+            <flag>wxTOP|wxBOTTOM|wxLEFT|wxRIGHT|wxEXPAND|wxGROW|wxALIGN_RIGHT</flag>
+            <border>5</border>
+          </object>
+          <growablecols>1</growablecols>
+        </object>
+        <flag>wxEXPAND|wxGROW</flag>
+      </object>
+      <growablecols>0</growablecols>
+      <growablerows>0</growablerows>
+    </object>
+  </object>
+</resource>
diff --git a/pgadmin/ui/frmBackupServer.xrc b/pgadmin/ui/frmBackupServer.xrc
index fb4f2a7..816428a 100644
--- a/pgadmin/ui/frmBackupServer.xrc
+++ b/pgadmin/ui/frmBackupServer.xrc
@@ -1,107 +1,107 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<resource>
-  <object class="wxDialog" name="frmBackupServer">
-    <title>Backup Server</title>
-    <size>210,153d</size>
-    <style>wxDEFAULT_DIALOG_STYLE|wxCAPTION|wxSYSTEM_MENU|wxRESIZE_BORDER|wxRESIZE_BOX|wxTHICK_FRAME</style>
-    <object class="wxFlexGridSizer">
-      <cols>1</cols>
-      <rows>3</rows>
-      <object class="sizeritem">
-        <object class="wxNotebook" name="nbNotebook">
-          <object class="notebookpage">
-            <label>Options</label>
-            <object class="wxPanel" name="pnlOptions">
-              <object class="wxStaticText" name="stFilename">
-                <label>Filename</label>
-                <pos>8,7d</pos>
-              </object>
-              <object class="wxTextCtrl" name="txtFilename">
-                <pos>65,5d</pos>
-                <size>150,-1d</size>
-              </object>
-              <object class="wxButton" name="btnFilename">
-                <label>...</label>
-                <pos>220,5d</pos>
-                <size>15,-1d</size>
-              </object>
-              <object class="wxStaticText" name="stRolename">
-                <label>Rolename</label>
-                <pos>8,27d</pos>
-              </object>
-              <object class="wxComboBox" name="cbRolename">
-                <pos>65,25d</pos>
-                <size>170,-1d</size>
-                <style>wxCB_READONLY|wxCB_DROPDOWN|wxCB_SORT</style>
-              </object>
-              <style></style>
-              <object class="wxStaticText" name="txtNote">
-                <label>Note: The backup format will be PLAIN.</label>
-                <pos>8,47d</pos>
-                <style></style>
-              </object>
-              <object class="wxCheckBox" name="chkForceQuoteForIdent">
-                <label>Force double quotes on identifiers</label>
-                <pos>10,120d</pos>
-              </object>
-              <object class="wxCheckBox" name="chkVerbose">
-                <label>Verbose messages</label>
-                <checked>1</checked>
-                <pos>10,144d</pos>
-              </object>
-            </object>
-            <selected>1</selected>
-          </object>
-          <pos>2,2d</pos>
-          <size>245,174d</size>
-          <style>wxNB_BOTTOM</style>
-          <object class="notebookpage">
-            <label>Messages</label>
-            <object class="wxTextCtrl" name="txtMessages">
-              <style>wxTE_MULTILINE|wxTE_READONLY|wxHSCROLL</style>
-            </object>
-          </object>
-        </object>
-        <flag>wxTOP|wxBOTTOM|wxLEFT|wxRIGHT|wxEXPAND|wxGROW|wxALIGN_CENTRE</flag>
-      </object>
-      <object class="sizeritem">
-        <object class="wxFlexGridSizer">
-          <cols>4</cols>
-          <rows>1</rows>
-          <object class="sizeritem">
-            <object class="wxButton" name="wxID_HELP">
-              <label>&amp;Help</label>
-              <pos>2,135d</pos>
-            </object>
-            <flag>wxTOP|wxBOTTOM|wxLEFT|wxRIGHT</flag>
-            <border>5</border>
-          </object>
-          <object class="spacer">
-            <size>0,0</size>
-          </object>
-          <object class="sizeritem">
-            <object class="wxButton" name="wxID_OK">
-              <label>&amp;OK</label>
-              <default>1</default>
-              <pos>93,135d</pos>
-            </object>
-            <flag>wxTOP|wxBOTTOM|wxLEFT|wxRIGHT</flag>
-            <border>5</border>
-          </object>
-          <object class="sizeritem">
-            <object class="wxButton" name="wxID_CANCEL">
-              <label>&amp;Cancel</label>
-              <pos>146,135d</pos>
-            </object>
-            <flag>wxTOP|wxBOTTOM|wxLEFT|wxRIGHT|wxEXPAND|wxGROW|wxALIGN_RIGHT</flag>
-            <border>5</border>
-          </object>
-          <growablecols>1</growablecols>
-        </object>
-        <flag>wxEXPAND|wxGROW</flag>
-      </object>
-      <growablecols>0</growablecols>
-      <growablerows>0</growablerows>
-    </object>
-  </object>
-</resource>
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<resource>
+  <object class="wxDialog" name="frmBackupServer">
+    <title>Backup Server</title>
+    <size>210,153d</size>
+    <style>wxDEFAULT_DIALOG_STYLE|wxCAPTION|wxSYSTEM_MENU|wxRESIZE_BORDER|wxRESIZE_BOX|wxTHICK_FRAME</style>
+    <object class="wxFlexGridSizer">
+      <cols>1</cols>
+      <rows>3</rows>
+      <object class="sizeritem">
+        <object class="wxNotebook" name="nbNotebook">
+          <object class="notebookpage">
+            <label>Options</label>
+            <object class="wxPanel" name="pnlOptions">
+              <object class="wxStaticText" name="stFilename">
+                <label>Filename</label>
+                <pos>8,7d</pos>
+              </object>
+              <object class="wxTextCtrl" name="txtFilename">
+                <pos>65,5d</pos>
+                <size>150,-1d</size>
+              </object>
+              <object class="wxButton" name="btnFilename">
+                <label>...</label>
+                <pos>220,5d</pos>
+                <size>15,-1d</size>
+              </object>
+              <object class="wxStaticText" name="stRolename">
+                <label>Rolename</label>
+                <pos>8,27d</pos>
+              </object>
+              <object class="wxComboBox" name="cbRolename">
+                <pos>65,25d</pos>
+                <size>170,-1d</size>
+                <style>wxCB_READONLY|wxCB_DROPDOWN|wxCB_SORT</style>
+              </object>
+              <style></style>
+              <object class="wxStaticText" name="txtNote">
+                <label>Note: The backup format will be PLAIN.</label>
+                <pos>8,47d</pos>
+                <style></style>
+              </object>
+              <object class="wxCheckBox" name="chkForceQuoteForIdent">
+                <label>Force double quotes on identifiers</label>
+                <pos>10,120d</pos>
+              </object>
+              <object class="wxCheckBox" name="chkVerbose">
+                <label>Verbose messages</label>
+                <checked>1</checked>
+                <pos>10,144d</pos>
+              </object>
+            </object>
+            <selected>1</selected>
+          </object>
+          <pos>2,2d</pos>
+          <size>245,174d</size>
+          <style>wxNB_BOTTOM</style>
+          <object class="notebookpage">
+            <label>Messages</label>
+            <object class="wxTextCtrl" name="txtMessages">
+              <style>wxTE_MULTILINE|wxTE_READONLY|wxHSCROLL</style>
+            </object>
+          </object>
+        </object>
+        <flag>wxTOP|wxBOTTOM|wxLEFT|wxRIGHT|wxEXPAND|wxGROW|wxALIGN_CENTRE</flag>
+      </object>
+      <object class="sizeritem">
+        <object class="wxFlexGridSizer">
+          <cols>4</cols>
+          <rows>1</rows>
+          <object class="sizeritem">
+            <object class="wxButton" name="wxID_HELP">
+              <label>&amp;Help</label>
+              <pos>2,135d</pos>
+            </object>
+            <flag>wxTOP|wxBOTTOM|wxLEFT|wxRIGHT</flag>
+            <border>5</border>
+          </object>
+          <object class="spacer">
+            <size>0,0</size>
+          </object>
+          <object class="sizeritem">
+            <object class="wxButton" name="wxID_OK">
+              <label>&amp;Dump</label>
+              <default>1</default>
+              <pos>93,135d</pos>
+            </object>
+            <flag>wxTOP|wxBOTTOM|wxLEFT|wxRIGHT</flag>
+            <border>5</border>
+          </object>
+          <object class="sizeritem">
+            <object class="wxButton" name="wxID_CANCEL">
+              <label>&amp;Cancel</label>
+              <pos>146,135d</pos>
+            </object>
+            <flag>wxTOP|wxBOTTOM|wxLEFT|wxRIGHT|wxEXPAND|wxGROW|wxALIGN_RIGHT</flag>
+            <border>5</border>
+          </object>
+          <growablecols>1</growablecols>
+        </object>
+        <flag>wxEXPAND|wxGROW</flag>
+      </object>
+      <growablecols>0</growablecols>
+      <growablerows>0</growablerows>
+    </object>
+  </object>
+</resource>
diff --git a/pgadmin/ui/frmRestore.xrc b/pgadmin/ui/frmRestore.xrc
index faa4ba4..8e6ef2f 100644
--- a/pgadmin/ui/frmRestore.xrc
+++ b/pgadmin/ui/frmRestore.xrc
@@ -305,7 +305,7 @@
           </object>
           <object class="sizeritem">
             <object class="wxButton" name="wxID_OK">
-              <label>&amp;OK</label>
+              <label>&amp;Restore</label>
               <default>1</default>
             </object>
             <flag>wxEXPAND|wxALL</flag>
-- 
1.7.1

